package kr.co.uplus.ez.api.sendNumMgt.dto;

import kr.co.uplus.ez.common.data.ApiResponseCode;
import kr.co.uplus.ez.common.data.ResponseMessage;
import lombok.Data;

import java.io.Serializable;

@SuppressWarnings("serial")
@Data
public class UpdateApprResDto extends ResponseMessage implements Serializable{

		// 데이터.
		private Object data;

		public UpdateApprResDto() {
			this.retCode = ApiResponseCode.SUCCESS.getResultCode();
			this.retMsg = ApiResponseCode.SUCCESS.getResultMsg();
		}

		public UpdateApprResDto(ApiResponseCode returnStr) {
			this.retCode = returnStr.getResultCode();
			this.retMsg = returnStr.getResultMsg();
		}

		public UpdateApprResDto(ApiResponseCode returnStr, Object data) {
			this.retCode = returnStr.getResultCode();
			this.retMsg = returnStr.getResultMsg();
			this.data = data;
		}
}
